//###########################################################################
//#
//# Diplomarbeit von Michel Jaggi / Abalone Spiel
//#
//# Datum: 22.06.2002
//#
//# Klasse Player beinhaltet die Spielerdaten
//#
//###########################################################################
#ifndef PLAYER_H
#define PLAYER_H

//#include <string>
//#include <dstring.h>
#include <vcl.h>

class Player
{
  private:
          AnsiString Name;
          int Score;
          int Color;
          int PlayerNo;

  public:
         void setName(AnsiString& PlPlayerName){Name=PlPlayerName;};
         AnsiString getName(){return (Name);};
         void setStoneC(int PlColor){Color = PlColor;};
         int getStoneC(){return (Color);};
         void setID(int PlID){PlayerNo = PlID;};
         int getID(){return (PlayerNo);};
         void setScore(int PlScore){Score = PlScore;};
         int getScore(){return (Score);};
         void resetPlayerScore(){Score = 0;};
         void subScore(int PlSubScore){Score = Score - PlSubScore;};

};
#endif
 